Index: branches/autoquest-core-tasktrees-alignment/src/main/java/de/ugoe/cs/autoquest/tasktrees/manager/ComponentManager.java
===================================================================
--- branches/autoquest-core-tasktrees-alignment/src/main/java/de/ugoe/cs/autoquest/tasktrees/manager/ComponentManager.java	(revision 1646)
+++ branches/autoquest-core-tasktrees-alignment/src/main/java/de/ugoe/cs/autoquest/tasktrees/manager/ComponentManager.java	(revision 1733)
@@ -23,7 +23,8 @@
 /**
  * <p>
- * The component manager is the central reference for the distinct submodules required for
- * task tree generation. Such include the temporal relationship rule manager, the task equality
- * rule manager, the default task builder, as well as the default task factory.
+ * The component manager is the central reference for the distinct submodules
+ * required for task tree generation. Such include the temporal relationship
+ * rule manager, the task equality rule manager, the default task builder, as
+ * well as the default task factory.
  * </p>
  * 
@@ -32,106 +33,106 @@
  */
 public class ComponentManager {
-    
-    /**
-     * <p>
-     * singleton instance of this class
-     * </p>
-     */
-    private static ComponentManager instance;
 
-    /**
-     * <p>
-     * the default temporal relationship rule manager
-     * </p>
-     */
-    private TemporalRelationshipRuleManager temporalRelationshipRuleManager;
+	/**
+	 * <p>
+	 * clears the singleton instance. Needed for test purposes to ensure
+	 * statelessness between tests.
+	 * </p>
+	 */
+	public static synchronized void clearInstance() {
+		instance = null;
+	}
 
-    /**
-     * <p>
-     * the default task builder
-     * </p>
-     */
-    private ITaskBuilder taskBuilder;
+	/**
+	 * <p>
+	 * returns the default task builder
+	 * </p>
+	 * 
+	 * @return as described
+	 */
+	public static ITaskBuilder getDefaultTaskBuilder() {
+		return getInstance().taskBuilder;
+	}
 
-    /**
-     * <p>
-     * the default task factory
-     * </p>
-     */
-    private ITaskFactory taskFactory;
+	/**
+	 * <p>
+	 * returns the default task factory
+	 * </p>
+	 * 
+	 * @return as described
+	 */
+	public static ITaskFactory getDefaultTaskFactory() {
+		return getInstance().taskFactory;
+	}
 
-    /**
-     * <p>
-     * returns the default temporal relationship rule manager
-     * </p>
-     * 
-     * @return as described
-     */
-    public static TemporalRelationshipRuleManager getTemporalRelationshipRuleManager() {
-        return getInstance().temporalRelationshipRuleManager;
-    }
+	/**
+	 * <p>
+	 * returns the singleton instance of this class
+	 * </p>
+	 * 
+	 * @return as described
+	 */
+	private static synchronized ComponentManager getInstance() {
+		if (instance == null) {
+			instance = new ComponentManager();
+			instance.init();
+		}
+		return instance;
+	}
 
-    /**
-     * <p>
-     * returns the default task builder
-     * </p>
-     * 
-     * @return as described
-     */
-    public static ITaskBuilder getDefaultTaskBuilder() {
-        return getInstance().taskBuilder;
-    }
+	/**
+	 * <p>
+	 * returns the default temporal relationship rule manager
+	 * </p>
+	 * 
+	 * @return as described
+	 */
+	public static TemporalRelationshipRuleManager getTemporalRelationshipRuleManager() {
+		return getInstance().temporalRelationshipRuleManager;
+	}
 
-    /**
-     * <p>
-     * returns the default task factory
-     * </p>
-     * 
-     * @return as described
-     */
-    public static ITaskFactory getDefaultTaskFactory() {
-        return getInstance().taskFactory;
-    }
+	/**
+	 * <p>
+	 * singleton instance of this class
+	 * </p>
+	 */
+	private static ComponentManager instance;
 
-    /**
-     * <p>
-     * clears the singleton instance. Needed for test purposes to ensure statelessness between
-     * tests.
-     * </p>
-     */
-    public static synchronized void clearInstance() {
-        instance = null;
-    }
+	/**
+	 * <p>
+	 * the default temporal relationship rule manager
+	 * </p>
+	 */
+	private TemporalRelationshipRuleManager temporalRelationshipRuleManager;
 
-    /**
-     * <p>
-     * returns the singleton instance of this class
-     * </p>
-     * 
-     * @return as described
-     */
-    private static synchronized ComponentManager getInstance() {
-        if (instance == null) {
-            instance = new ComponentManager();
-            instance.init();
-        }
-        return instance;
-    }
+	/**
+	 * <p>
+	 * the default task builder
+	 * </p>
+	 */
+	private ITaskBuilder taskBuilder;
 
-    /**
-     * <p>
-     * initialized the component manager with all it default components which are the temporal
-     * relationship rule manager, the task equality rule manager, the default task builder, as
-     * well as the default task factory. 
-     * </p>
-     */
-    private void init() {
-        taskBuilder = new TaskBuilder();
-        taskFactory = new TaskFactory();
+	/**
+	 * <p>
+	 * the default task factory
+	 * </p>
+	 */
+	private ITaskFactory taskFactory;
 
-        temporalRelationshipRuleManager =
-            new TemporalRelationshipRuleManager(taskFactory, taskBuilder);
-        temporalRelationshipRuleManager.init();
-    }
+	/**
+	 * <p>
+	 * initialized the component manager with all it default components which
+	 * are the temporal relationship rule manager, the task equality rule
+	 * manager, the default task builder, as well as the default task factory.
+	 * </p>
+	 */
+	private void init() {
+		taskBuilder = new TaskBuilder();
+		taskFactory = new TaskFactory();
+
+		temporalRelationshipRuleManager = new TemporalRelationshipRuleManager(
+				taskFactory, taskBuilder);
+		temporalRelationshipRuleManager.init();
+	}
 
 }
